'=====================================================================================
'  modLockWindowUpdate
'  color syntax control helper module...used to lock window by handle to reduce flicker
'=====================================================================================
'  Created By: Marc Cramer
'  Published Date: 1/16/2003
'  Legal Copyright: Marc Cramer  1/16/2003
'=====================================================================================

Module modLockWindowUpdate

	Private Declare Function LockWindowUpdate Lib "user32" (ByVal hWndLock As Integer) As Integer
	Private Declare Function GetDesktopWindow Lib "user32" Alias "GetDesktopWindow" () As Integer
	'=====================================================================================
	Public Sub LockUpdate(ByVal LockIt As Boolean)
		Dim ReturnValue As Long
		If LockIt = True Then
			ReturnValue = LockWindowUpdate(GetDesktopWindow())
		Else
			ReturnValue = LockWindowUpdate(Nothing)
		End If
	End Sub	'LockUpdate(ByVal LockIt As Boolean)
	'=====================================================================================
	Public Sub LockUpdate(ByVal LockIt As Boolean, ByVal hWnd As Integer)
		Dim ReturnValue As Long
		If LockIt = True Then
			ReturnValue = LockWindowUpdate(hWnd)
		Else
			ReturnValue = LockWindowUpdate(Nothing)
		End If
	End Sub	'LockUpdate(ByVal LockIt As Boolean, ByVal hWnd As Integer)
	'=====================================================================================
End Module
